Rhino Coders
@roger2 wrote: Hello, Does anyone here know of any contract coders that can help with my goal. My goal is: When i open a Rhino file designed in Rhino 5 , i would like to have it opened in Rhino 5....
View ArticleRhinoscript - screen out objects in blocks
@rhorsefield wrote: I have a Rhino script that loops through each object and screens out those I don’t want to evaluate (for Each strAnObject in AllRhinoObjects). I want to ignore all objects in...
View ArticleParameter must be a Guid or string representing a Guid
@harunaydin wrote: ERROR1747×927 148 KB Blockquote import rhinoscriptsyntax as rs ml=[] sd=1500 cor=x while sd>10: for i in range(1,999,1): param1=i/1000 fl=rs.TrimCurve(cor,(0,param1),False)...
View ArticlePython Concatenation
@Ncik wrote: G’day McNeel, On this page… developer.rhino3d.com Python Operators This guide is an overview of Python operators. There is this… which doesn’t seem correct for python. Posts: 1...
View ArticleGetSettings in Python
@Ncik wrote: G’day everyone, Fair cop, I’m trying to translate/pilfer Dale Fugier’s steel section script from rhinoscript to rhinopython. But GetSettings is giving me grief. import rhinoscriptsyntax...
View ArticleMove Meshes to Cplane (Lowest Point on Mesh) with Python
@mattgaydon wrote: Before i spend the afternoon writing a python code that’s been done. Has anyone had any luck writing a a code to select meshes (Buildings in this case) and projected them to the...
View ArticleOverlap domain
@MatrixRatrix wrote: Hello, I have a Polyline that has two line segments that overlap each other: Example.3dm (31.8 KB) Example837×511 11.6 KB I need the domain between these two overlapping segments:...
View ArticleGet the coordinates of a mesh point by its index
@JimCarruthers wrote: As the title says, I’m trying to get the 3D point coordinate of a mesh vertex for a certain index. MeshFaceVertices gets me the indices, but I can’t yet find how to go from an...
View ArticleProblem using rhinoCommon to fillet breps
@jmcauley wrote: I uploaded two 3dm files in the posts below because a single example file with all objects was just too large (I think)… I used RhinoCommon in a Grasshopper component to make some...
View ArticleCan rs.command() work on non-baked GH Geometry?
@declan wrote: Hi all, We can’t use V7 at work until it’s officially launched, so I’m stuck working with V6. I’m trying to create SubD geometry inside Grasshopper using something like: x =...
View ArticleScript who finds corners and makes fillets
@fatihylmz.1923 wrote: Hello, do you have a sctrip that can fillet all corners to the extent that I’ve found 90-degree or 45-degree corners? Posts: 1 Participants: 1 Read full topic
View ArticleUpgrade renderbatch from macro to script
@hitenter wrote: Sometimes I need to render a lot, sometimes not at all. Atm a lot. I use RhinoCycles. I was always fine with just a simple macro as batch render. Computer renders at night in the...
View ArticleRhinoScript AddLeader returns NULL
@mail2 wrote: Hi, I have a script which uses the Rhino.addLeader command. But since a while this command returns null instead of the leader string. I figured out, that even the example in the...
View ArticleExport (object name to file name) & Import (file name to object name)
@leex wrote: Hi all For STL export I use script by @Helvetosaur ! _-Runscript ( Option Explicit 'Script by Mitch Heynick 'Version 21 March 2012 'added current file name and folder default Call...
View ArticleUpdate Fields in Userform Created with SharpDevelop (Python)
@eric.bunn wrote: Hi Please reference the userform below. I want to change the values in the userform using python code based on the choice an operator makes when choosing from the combo box on the...
View ArticleHow to set FrameBufferFillMode.Gradient2Color with python?
@Alen_Russ wrote: I want to set the background mode of all windows to Gradient2Color. I searched the forum resources and found no information. Please help me. Posts: 5 Participants: 2 Read full topic
View Articlers.LayerLock Unexpected Hierarchy Behavior
@spineribjoint1 wrote: Hi, Using rs.LayerLock to lock the child layer results in semi-lock mode. In normal usage this happens only if the parent is locked. Why is it different in scripting? Is it by...
View ArticleRS Help - odd entry for "TextOut"
@Helvetosaur wrote: Just stumbled on this and thought I’d report it… ??? Posts: 1 Participants: 1 Read full topic
View ArticleFull 360 from two points
@MatrixRatrix wrote: Hello Rs.angle() return 0/180 and - 180/0, how I can have the full 360 angle from two points? Thanks Posts: 2 Participants: 2 Read full topic
View ArticleRhinoScript function for adding layers
@rhorsefield wrote: I’ve written a Rhinoscript function that I can call repeatedly to create a standard layer hierarchy. What I want to happen is to identify if the layer already exists, and just skip...
View Article